Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85062 - (NET E100)Upgrading Red Hat 7.3 kernel via "kernel-2.4.18-24.7.x.i686.rpm" causes system to no longer identify Intel Pro/100 NIC
Summary: (NET E100)Upgrading Red Hat 7.3 kernel via "kernel-2.4.18-24.7.x.i686.rpm" ca...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-25 07:08 UTC by Matthew Richards
Modified: 2013-07-03 02:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:34 UTC


Attachments (Terms of Use)

Description Matthew Richards 2003-02-25 07:08:12 UTC
Description of problem:
On a system build with standard RH7.3 then with the kernel upgraded to 2.4.18-
24.7.x, certain Intel Pro 100 NICs are no longer correctly identified.

Version-Release number of selected component (if applicable):
kernel-2.4.18-24.7.x.i686.rpm

How reproducible:
Every time

Steps to Reproduce:
(Requires an Intel Pro/100 NIC verdorid:8086, deviceid:1229, subvendorid:8086, 
subdeviceid:0040 or 1015)

1. Install normal RH7.3 with only "Anonymous FTP" and "Web Server" packages.
2. Execute /usr/sbin/kudzu -p
3. Page-up to see the correctly identified Intel Pro 100 NIC.
4. Copy "kernel-2.4.18-24.7.x.i686.rpm" and "modutils-2.4.18-3.7x.i386.rpm" to 
the local disk.
5. Execute rpm -Fvh kernel-2.4.18-24.7.x.i686.rpm modutils-2.4.18-3.7x.i386.rpm
6. Reboot
7. Execute /usr/sbin/kudzu -p
8. Page-up to see the previously identified Intel Pro 100 NIC is no longer 
correctly identified.
    
Actual results:

System no longer correctly identifies Intel Pro 100 NIC with the following 
device and vendor IDs:
verdorid:8086 subvendorid:8086
deviceid:1229 subdeviceid:0040 or 1015

Expected results:
Intel Pro 100 NICs would continue to be correctly identified.

Additional info:

Diagnosis performed on COMPAQ Deskpro, CPQ Number: 368961-001

A system built with RH7.3 which has had ONLY its modutils upgraded to "modutils-
2.4.18-3.7x.i386.rpm" does NOT exhibit the problem.

Comment 1 Arjan van de Ven 2003-02-25 09:25:37 UTC
what exact kernel was the last known good ?

Comment 2 Matthew Richards 2003-02-25 23:04:54 UTC
The last known good kernel was 2.4.18-4.

This is the kernel included with my RedHat 7.3 distribution. Although I can no 
longer test it, I am sure that things were working well as recent as kernel 
2.4.18-18.7.x.

Comment 3 Scott Feldman 2004-03-04 03:53:36 UTC
8086:1229 is the most common PRO/100 ven:device ID pair out there, so 
it's unlikely this is caused by a missing entry in the driver's 
device table, be it with eepro100 or e100.

Is this caused by eepro100 being replaced by e100 in the newer 
kernel?  Maybe /etc/modules.conf needs to be updated to replace the 
old eepro100 alias with e100?

Comment 4 Bugzilla owner 2004-09-30 15:40:34 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.